Subject: Re: What's the right way to use a *large* number of source addresses?

From: [email-masked] (Niels Möller)
Date: Fri, 23 May 2014 16:12:22 +0200

Florian Westphal <[email-masked]> writes:

> Niels Möller <[email-masked]> wrote:

>> 3. Just set the desired local address with the bind call. Currently,
>>    this gives an EADDRNOTAVAIL error, so the first step would be some
>>    option to allow arbitrary source addresses.
>
> See 'Making non-local sockets work' in Documentation/networking/tproxy.txt

I'd just like to say that I followed these docs, and I got a working
connection. Thanks again, I really couldn't locate this info on my own.

I do find the EINVAL error I got from connect, when only using sysctl
net.ipv4.ip_nonlocal_bind=1, and using bind with a nonlocal address, a
bit puzzling. I don't see any obviously better error to return, though.

Regards,
/Niels